%define name pqt-designer
%define version 1.00
%define qtversion 3.1.x
%define release 3mdk

Summary: 	Perl modules and utilities for using the Qt 3 Toolkit.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License: 	GPL
URL: 		http://perlqt.sourceforge.net/
Source:		%{name}-Qt-%{qtversion}.tar.bz2
Patch:		%{name}-Qt-%{qtversion}.patch.bz2
Provides: 	pqt-designer
Packager:       Germain Garand <germain@ebooksfrance.org>
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  perl
BuildRequires:  qt3-devel
BuildRequires:  libmng-devel
BuildRequires:  libMesaGLU-devel
Requires:	perl-Qt

%description
pqt-designer is a Qt Designer plugin allowing 
RAD development of PerlQt applications from a
powerful integrated development environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{qtversion}

%patch -p0

%build

export QTDIR=/usr/lib/qt3
export PREFIX=%{?buildroot:%{buildroot}}%{_prefix}
export PLUGIN_PREFIX=%{?buildroot:%{buildroot}}/usr/lib/qt3
export PATH=$QTDIR/bin:$PATH
qmake -makefile designer.pro

%make

%install
export QTDIR=/usr/lib/qt3
%makeinstall

%post
update-alternatives --install %{_bindir}/designer-qt3 designer-qt3 %{_bindir}/pqt-designer 20
update-alternatives --install %{_bindir}/designer-qt3 designer-qt3 %{_libdir}/qt3/bin/designer 10

%postun
if [ "$1" = 0 ]; then
    update-alternatives --remove designer-qt3 %{_bindir}/pqt-designer
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.perleditor.quickstart
%_bindir/*
%_libdir/*

%changelog
* Wed Mar 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.00-3mdk
- Rebuild

* Thu Sep 22 2003 Olivier Blin <oliv.blin@laposte.net> 1.00-2mdk
- Initial Mandrake package (from Germain Garand)
- remove redundant Requires

* Mon Sep 22 2003 Germain Garand <germain@ebooksfrance.org> 1.00-1mdk
- first version.
